Package com.avaya.clientservices.common

## Class SignalingServerGroup

- java.lang.Object
- - com.avaya.clientservices.common.SignalingServerGroup

-     public class SignalingServerGroup
      extends java.lang.Object

  Defines a set of RegistrationGroup objects.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SignalingServerGroup​(RegistrationGroup registrationGroup)` | Construct a SignalingServerGroup object.
    `SignalingServerGroup​(RegistrationGroup[] registrationGroups)` | Construct a SignalingServerGroup object.
    `SignalingServerGroup​(SignalingServer server)` | Construct a SignalingServerGroup object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegistrationGroup[]` | `getRegistrationGroups()` | Query the RegistrationGroup objects that are part of this set.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalingServerGroup

          public SignalingServerGroup​(RegistrationGroup[] registrationGroups)

      Construct a SignalingServerGroup object.
      Parameters:
        `registrationGroups` - A group of RegistrationGroup objects that an Identity should register with simultaneously.

    - #### SignalingServerGroup

          public SignalingServerGroup​(RegistrationGroup registrationGroup)

      Construct a SignalingServerGroup object.
      Parameters:
        `registrationGroup` - A group of servers to communicate with.

    - #### SignalingServerGroup

          public SignalingServerGroup​(SignalingServer server)

      Construct a SignalingServerGroup object.
      Parameters:
        `server` - A single server to communicate with.

  - ### Method Detail

    - #### getRegistrationGroups

          public RegistrationGroup[] getRegistrationGroups()

      Query the RegistrationGroup objects that are part of this set.
      Returns:
        The RegistrationGroup objects that make up the set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`